package com.dbxml.db.enterprise.jsp;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: IteratorTagInfo.java,v 1.2 2004/02/12 00:17:57 bradford Exp $
 */

import javax.servlet.jsp.tagext.TagData;
import javax.servlet.jsp.tagext.TagExtraInfo;
import javax.servlet.jsp.tagext.VariableInfo;

import org.w3c.dom.Document;

/**
 * IteratorTagInfo
 */

public final class IteratorTagInfo extends TagExtraInfo {
   private static final String STRING_CLASS = String.class.getName();
   private static final String DOCUMENT_CLASS = Document.class.getName();

   public VariableInfo[] getVariableInfo(TagData data) {
      VariableInfo[] vars = new VariableInfo[3];
      vars[0] = new VariableInfo(IteratorTag.COL, STRING_CLASS, true, VariableInfo.NESTED);
      vars[1] = new VariableInfo(IteratorTag.KEY, STRING_CLASS, true, VariableInfo.NESTED);
      if ( data.getAttributeString(IteratorTag.TEXT).equalsIgnoreCase("TRUE") )
         vars[2] = new VariableInfo(IteratorTag.RESULT, STRING_CLASS, true, VariableInfo.NESTED);
      else
         vars[2] = new VariableInfo(IteratorTag.RESULT, DOCUMENT_CLASS, true, VariableInfo.NESTED);
      return vars;
   }
}

